Ubuntu

3.8.0-18 HDMI/DisplayPort audio regression: Either oops or opening device fails with -ENODEV

Reported by Martin Albisetti on 2013-04-17
This bug affects 320 people
Affects Status Importance Assigned to Milestone
Release Notes for Ubuntu
Undecided
Andy Whitcroft
Ubuntu Desktop Tests
New
Undecided
Unassigned
linux (Ubuntu)
High
Brandon Russell
Raring
High
Tim Gardner

Bug Description

<Release note text>
 * There are reports of non-functional HDMI audio on various machines, even with proprietary drivers. In some cases analog built-in audio is affected too. Typically the the audio device does not show up in sound settings at all. ([[https://bugs.launchpad.net/bugs/1169984 | LP: #1169984]]
</Release note text>

=== Current recommended workaround ===

Hopefully there'll soon be a proposed kernel to test instead, but if you can't wait, simplest is to:
https://wiki.ubuntu.com/Audio/UpgradingAlsa/DKMS

=== Alternate workaround ===
IF you have no intention to use the HDMI audio, blacklisting the HDMI audio module will probably prevent this issue. The following commands should do it:
echo "blacklist snd-hda-codec-hdmi | sudo tee -a /etc/modprobe.d/blacklisthmdi.conf
sudo depmod -a
(Reboot)

===

Sound card is no longer detected in the latest upgrade.

ProblemType: Bug
DistroRelease: Ubuntu 13.04
Package: alsa-base 1.0.25+dfsg-0ubuntu4
ProcVersionSignature: Ubuntu 3.8.0-18.28-generic 3.8.6
Uname: Linux 3.8.0-18-generic x86_64
ApportVersion: 2.9.2-0ubuntu8
Architecture: amd64
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1:
Date: Wed Apr 17 11:13:20 2013
EcryptfsInUse: Yes
InstallationDate: Installed on 2013-01-01 (106 days ago)
InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Alpha amd64 (20121231)
MarkForUpload: True
PackageArchitecture: all
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: alsa-driver
Symptom: audio
Title: PCI/internal sound card not detected
UpgradeStatus: Upgraded to raring on 2013-02-12 (64 days ago)
dmi.bios.date: 07/27/2012
dmi.bios.vendor: Insyde Corp.
dmi.bios.version: 1.20
dmi.board.asset.tag: Type2 - Board Asset Tag
dmi.board.name: Type2 - Board Product Name1
dmi.board.vendor: Type2 - Board Vendor Name1
dmi.board.version: Type2 - Board Version
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: OEM Chassis Manufacturer
dmi.chassis.version: OEM Chassis Version
dmi.modalias: dmi:bvnInsydeCorp.:bvr1.20:bd07/27/2012:svnTOSHIBA:pnSatelliteU845W:pvrPSU5RU-00Q003:rvnType2-BoardVendorName1:rnType2-BoardProductName1:rvrType2-BoardVersion:cvnOEMChassisManufacturer:ct10:cvrOEMChassisVersion:
dmi.product.name: Satellite U845W
dmi.product.version: PSU5RU-00Q003
dmi.sys.vendor: TOSHIBA

Martin Albisetti (beuno) wrote :
Raymond (superquad-vortex2) wrote :

[ 10.195172] BUG: unable to handle kernel paging request at ffff8801c4a77fe0
[ 10.195219] IP: [<ffffffffa0291730>] patch_generic_hdmi+0xe0/0x550 [snd_hda_codec_hdmi]
[ 10.195268] PGD 1c0e063 PUD aaabd067 PMD 1c3d97063 PTE 80000001c4a77161
[ 10.195312] Oops: 0003 [#1] SMP
[ 10.195334] Modules linked in: snd_hda_codec_hdmi snd_hda_codec_realtek coretemp kvm_intel kvm snd_hda_intel(+) snd_hda_codec snd_hwdep(F) snd_pcm(F) snd_page_alloc(F) snd_seq_midi(F) snd_seq_midi_event(F) arc4(F) snd_rawmidi(F) iwldvm mac80211 snd_seq(F) iwlwifi uvcvideo snd_seq_device(F) snd_timer(F) snd(F) videobuf2_vmalloc microcode(F) lpc_ich cfg80211 toshiba_bluetooth videobuf2_memops psmouse(F) videobuf2_core videodev serio_raw(F) btusb soundcore(F) mei toshiba_acpi sparse_keymap bnep rfcomm parport_pc(F) bluetooth ppdev(F) mac_hid lp(F) parport(F) wmi ghash_clmulni_intel(F) aesni_intel(F) aes_x86_64(F) xts(F) lrw(F) gf128mul(F) ablk_helper(F) cryptd(F) i915 ahci(F) libahci(F) atl1c video(F) i2c_algo_bit drm_kms_helper drm
[ 10.195783] CPU 3
[ 10.195799] Pid: 769, comm: modprobe Tainted: GF 3.8.0-18-generic #28-Ubuntu TOSHIBA Satellite U845W/Type2 - Board Product Name1
[ 10.195868] RIP: 0010:[<ffffffffa0291730>] [<ffffffffa0291730>] patch_generic_hdmi+0xe0/0x550 [snd_hda_codec_hdmi]
[ 10.195929] RSP: 0018:ffff8801be2ffac0 EFLAGS: 00010283
--
[ 10.196563] Call Trace:
[ 10.196582] [<ffffffffa0290002>] ? hdmi_pcm_open+0xa2/0x1e0 [snd_hda_codec_hdmi]
[ 10.196629] [<ffffffffa0495186>] snd_hda_codec_configure+0x146/0x440 [snd_hda_codec]
[ 10.196680] [<ffffffffa02812f0>] azx_probe_continue+0x3a0/0x4f0 [snd_hda_intel]
[ 10.196727] [<ffffffffa027f8b0>] ? azx_attach_pcm_stream+0x1e0/0x1e0 [snd_hda_intel]
[ 10.196780] [<ffffffffa0280cb0>] ? azx_halt+0x30/0x30 [snd_hda_intel]
[ 10.196822] [<ffffffffa027f6d0>] ? azx_pcm_trigger+0x580/0x580 [snd_hda_intel]
[ 10.196869] [<ffffffffa0280810>] ? azx_runtime_suspend+0x30/0x30 [snd_hda_intel]
[ 10.196914] [<ffffffffa027d670>] ? azx_pcm_free+0x50/0x50 [snd_hda_intel]
[ 10.196958] [<ffffffffa028179a>] azx_probe+0x35a/0x940 [snd_hda_intel]
[ 10.196998] [<ffffffff8137b53b>] local_pci_probe+0x4b/0x80
--
[ 10.198763] [<ffffffff8137a72c>] __pci_register_driver+0x4c/0x50
[ 10.200177] [<ffffffffa028801e>] azx_driver_init+0x1e/0x1000 [snd_hda_intel]
[ 10.201485] [<ffffffff8100215a>] do_one_initcall+0x12a/0x180
--
[ 10.210373] Code: 0f 1f 00 4d 8b bc 24 c0 00 00 00 25 00 e0 00 00 c1 e8 0c 83 c8 01 49 63 17 83 c0 01 83 f8 10 48 8d 14 92 49 8d 14 d7 48 8d 72 08 <66> 89 5a 08 c7 46 08 02 00 00 00 0f 86 5b 02 00 00 48 8d 4e 18
[ 10.211899] RIP [<ffffffffa0291730>] patch_generic_hdmi+0xe0/0x550 [snd_hda_codec_hdmi]
[ 10.213334] RSP <ffff8801be2ffac0>

David Henningsson (diwic) wrote :

hdmi_spec needs hda_gen_spec first in struct

Changed in alsa-driver (Ubuntu):
importance: Undecided → High
status: New → In Progress
assignee: nobody → David Henningsson (diwic)
affects: alsa-driver (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
assignee: David Henningsson (diwic) → nobody
summary: - PCI/internal sound card not detected
+ Oops in patch_hdmi_generic (ALSA driver)

A recent commit added calls to the snd_hda_*_fixup functions. Under
kernel 3.8 and earlier these functions require a hda_gen_spec struct
to be first in the spec struct, or memory corruption might occur.

Buglink: https://bugs.launchpad.net/bugs/1169984
Signed-off-by: David Henningsson <email address hidden>
---
 sound/pci/hda/patch_hdmi.c | 1 +
 1 file changed, 1 insertion(+)

diff --git a/sound/pci/hda/patch_hdmi.c b/sound/pci/hda/patch_hdmi.c
index 6ae6331..1eee344 100644
--- a/sound/pci/hda/patch_hdmi.c
+++ b/sound/pci/hda/patch_hdmi.c
@@ -80,6 +80,7 @@ struct hdmi_spec_per_pin {
 };

 struct hdmi_spec {
+ struct hda_gen_spec gen;
  int num_cvts;
  struct hdmi_spec_per_cvt cvts[MAX_HDMI_CVTS];

--
1.7.9.5

Tim Gardner (timg-tpi) on 2013-04-18
Changed in linux (Ubuntu Raring):
assignee: nobody → Tim Gardner (timg-tpi)
status: In Progress → Fix Committed

This bug can also have another symptom (as memory corruption bugs often can) : opening the HDMI device fails with -19 (ENODEV).

summary: - Oops in patch_hdmi_generic (ALSA driver)
+ Eithe oops or opening device fails with -ENODEV, with HDMI audio
summary: - Eithe oops or opening device fails with -ENODEV, with HDMI audio
+ Either oops or opening device fails with -ENODEV, with HDMI audio

I've switched graphics card in my desktop machine and was able to reproduce the -ENODEV error; and adding the hda_gen_spec struct fixed that problem. This will be fixed in the next released kernel.

For now, the workaround is to install latest upstream drivers according to https://wiki.ubuntu.com/Audio/UpgradingAlsa/DKMS

description: updated
description: updated
Andy Whitcroft (apw) on 2013-04-25
description: updated
Changed in ubuntu-release-notes:
status: New → Fix Released
assignee: nobody → Andy Whitcroft (apw)
bwat47 (bwat47) wrote :

I was able to work around it by installing the mainline kernel 3.8.8

summary: - Either oops or opening device fails with -ENODEV, with HDMI audio
+ 3.8.0-18 HDMI audio regression: Either oops or opening device fails with
+ -ENODEV

#4 solves for me. I made a tarball with the fixed module, you can find it here: http://ubuntuone.com/0puVZ0aTDfCx9STmJxPXdt
compile it using make, sudo make install and reboot.

ZillaVilla (zillavilla) wrote :

I have the same problem, cannot get ATI HDMI [Cedar] to display as an option in sound settings. I don't have audio cables or I'd test the analog card on the computer, but I'd rather be using digital output to my amp anyhow. before upgrading from 12.10 to 13.04 it would go missing after the display went to sleep or the amplifier was turned off for an extended period of time.. Now after upgrade to 13.04 I cannot get it to come back. aplay -l listed below, is there any more information I can provide to help?

**** List of PLAYBACK Hardware Devices ****
card 0: SB [HDA ATI SB], device 0: ALC888 Analog [ALC888 Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: SB [HDA ATI SB], device 3: ALC888 Digital [ALC888 Digital]
  Subdevices: 0/1
  Subdevice #0: subdevice #0
card 1: Generic [HD-Audio Generic], device 3: HDMI 0 [HDMI 0]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

description: updated
Vistaus (djmusic121) wrote :

I have this problem since yesterday's updates of 13.04 I only get dummy output and it doesn't recognize my sound card anymore. I'm now trying the oem-audio-daily workaround.

Changed in linux (Ubuntu):
status: Fix Committed → Confirmed
Changed in linux (Ubuntu Raring):
status: Fix Committed → Confirmed
David Henningsson (diwic) wrote :

The fix is committed (on the master-next branch), but not yet available in the proposed repository. I hope someone in the kernel team will upload one soon...

http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-raring.git;a=commit;h=34257d9619f8be3d143a565cde1ccb597b1b9d8b

Changed in linux (Ubuntu Raring):
status: Confirmed → Fix Committed
Changed in linux (Ubuntu):
status: Confirmed → Fix Committed

ApportVersion: 2.9.2-0ubuntu8
Architecture: amd64
DistroRelease: Ubuntu 13.04
InstallationDate: Installed on 2011-05-26 (704 days ago)
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release amd64 (20110427.1)
MarkForUpload: True
NonfreeKernelModules: nvidia
Package: linux (not installed)
Tags: raring raring
Uname: Linux 3.9.0-030900rc8-generic x86_64
UnreportableReason: The running kernel is not an Ubuntu kernel
UpgradeStatus: Upgraded to raring on 2013-04-26 (3 days ago)
UserGroups: adm admin cdrom dialout fuse lpadmin plugdev sambashare vboxusers

tags: added: apport-collected

apport information

apport information

Thanks you. Audio now back on 13.04.

On 04/29/2013 03:00 AM, David Henningsson wrote:
> The fix is committed (on the master-next branch), but not yet available
> in the proposed repository. I hope someone in the kernel team will
> upload one soon...
>
> http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-
> raring.git;a=commit;h=34257d9619f8be3d143a565cde1ccb597b1b9d8b
>
> ** Changed in: linux (Ubuntu Raring)
> Status: Confirmed => Fix Committed
>
> ** Changed in: linux (Ubuntu)
> Status: Confirmed => Fix Committed
>

Finally it is working with no need to nstall a new Kernal, what you need to do is simply download and install the lates version of this audio Package: oem-audio-hda

1- Download & Install this Package: https://code.launchpad.net/~ubuntu-audio-dev/+archive/alsa-daily/+packages, then Reboot
2- Go to "Sound Settings", you should now see your hdmi device listed, select it and your done.

Thats about it, Enjoy you day (:

Andy Whitcroft (apw) wrote :

There are kernels with this fix applied available for testing at the URL below:

    http://people.canonical.com/~apw/lp1169984-raring/

Report any testing here.

molecule-eye (niburu1) wrote :

Saleh's fix in comment #16 worked for me without changing to a different kernel.

Zygmunt Krynicki (zkrynicki) wrote :

Testing on 13.04 with that kernel, I still see regressions as opposed to 12.04.2 kernel.

/proc/asound/card1/eld.* records are empty (only monitor_present: 1 is indicated, 12.04 reports full ELD data)

Ivan Borisov (borisov87) wrote :

I try Saleh's fix in comment #16 but this not fix my problem.

bwat47 (bwat47) wrote :

The alsa DKMS solution did fix the occasional kernel panic and dummy output issues for me, but it also made the headphone jack on my lemur ultra totally stop working but the kernel in Andy's comment (and the mainline kernel) both work perfectly for me.

Nuno Grilo (nuno-grilo) wrote :

The kernel from #17 fixed it for me

Aitor (aitor-m) wrote :

The kernel from #17 works for me too

Saverio (saveriolibrary) wrote :

Kernel from #17 fixed it for me too. No oops, and audio seems to work ok.

Mike (mike-summerton-a) wrote :

My system is an AMD-64 with integrated ATI Radeon HD 3000 graphics card on Raring with analogue output working fine.
I can see the hdmi device listed, but as was described in the original bug, no sound is delivered. I tried installing the oem-audio-hda package but it made no difference. I then tried the kernel from #17, but again no joy!

Денис (makarovdenis11) wrote :

I' am not installed testing kernel. I prefer to wait for his arrival in official repository.

Mehdi (mehdi-ti) wrote :
Download full text (4.9 KiB)

The problem also affects Ubuntu 13.04 with latest kernel 3.8.0-19-generic. It seems snd_hda_codec module trigger the bug. below is the dmesg output showing the bug.

[ 27.307991] BUG: unable to handle kernel paging request at ffff8801220bffe0
[ 27.308023] IP: [<ffffffffa05cf820>] patch_generic_hdmi+0xe0/0x550 [snd_hda_codec_hdmi]
[ 27.308042] PGD 1c0e063 PUD bf7e0067 PMD 1215dc063 PTE 80000001220bf161
[ 27.308057] Oops: 0003 [#1] SMP
[ 27.308066] Modules linked in: snd_hda_codec_hdmi brcmsmac uvcvideo binfmt_misc(F) joydev(F) videobuf2_vmalloc videobuf2_memops videobuf2_core videodev cordic(F) snd_hda_codec_conexant snd_hda_intel(+) brcmutil snd_hda_codec mac80211 coretemp snd_hwdep(F) cfg80211 snd_pcm(F) kvm_intel snd_page_alloc(F) kvm snd_seq_midi(F) snd_seq_midi_event(F) snd_rawmidi(F) snd_seq(F) snd_seq_device(F) snd_timer(F) ideapad_laptop(+) lpc_ich bcma psmouse(F) serio_raw(F) sparse_keymap snd(F) soundcore(F) mei mac_hid sctp(F) libcrc32c(F) lp(F) parport(F) ums_realtek usb_storage(F) nouveau microcode(F) r8169 ahci(F) libahci(F) mxm_wmi i2c_algo_bit ttm drm_kms_helper wmi video(F) drm
[ 27.308145] CPU 3
[ 27.308149] Pid: 695, comm: modprobe Tainted: GF 3.8.0-19-generic #29-Ubuntu LENOVO 20042 /Base Board Product Name
[ 27.308158] RIP: 0010:[<ffffffffa05cf820>] [<ffffffffa05cf820>] patch_generic_hdmi+0xe0/0x550 [snd_hda_codec_hdmi]
[ 27.308166] RSP: 0018:ffff880122053ac0 EFLAGS: 00010283
[ 27.308170] RAX: 0000000000000008 RBX: 0000000000000004 RCX: 0000000000000004
[ 27.308175] RDX: ffff8801220bffd8 RSI: ffff8801220bffe0 RDI: ffff88012e53bc20
[ 27.308179] RBP: ffff880122053af8 R08: 0000000000000001 R09: 0000000000000002
[ 27.308183] R10: 0000000000000000 R11: 0000000000000000 R12: ffff88012e53b800
[ 27.308187] R13: 0000000000000000 R14: 0000000000000004 R15: ffff8801220c0000
[ 27.308192] FS: 00007ff4948ea740(0000) GS:ffff880137cc0000(0000) knlGS:0000000000000000
[ 27.308197] CS: 0010 DS: 0000 ES: 0000 CR0: 000000008005003b
[ 27.308201] CR2: ffff8801220bffe0 CR3: 000000012356c000 CR4: 00000000000007e0
[ 27.308205] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[ 27.308210] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
[ 27.308214] Process modprobe (pid: 695, threadinfo ffff880122052000, task ffff8801235545c0)
[ 27.308219] Stack:
[ 27.308221] 00000000ffffffff ffffffffa05d0004 ffffffffa05d13a8 0000000000000000
[ 27.308228] ffff88012e53b800 00000000ffffffff ffffffffa05d3000 ffff880122053b58
[ 27.308235] ffffffffa0385186 2d6164682d646e73 64692d6365646f63 303030656430313a
[ 27.308246] Call Trace:
[ 27.308251] [<ffffffffa05d0004>] ? hdmi_print_pcm_rates.constprop.3+0x34/0x80 [snd_hda_codec_hdmi]
[ 27.308264] [<ffffffffa0385186>] snd_hda_codec_configure+0x146/0x440 [snd_hda_codec]
[ 27.308273] [<ffffffffa031e2f0>] azx_probe_continue+0x3a0/0x4f0 [snd_hda_intel]
[ 27.308280] [<ffffffffa031c8b0>] ? azx_attach_pcm_stream+0x1e0/0x1e0 [snd_hda_intel]
[ 27.308287] [<ffffffffa031dcb0>] ? azx_halt+0x30/0x30 [snd_hda_intel]
[ 27.308294] [<ffffffffa031c6d0>] ? azx_pcm_trigger+0x580/0x580 [snd_hda_intel]...

Read more...

2 comments hidden view all 128 comments
Giannis (karzisss) wrote :

Kernel 3.9 from http://kernel.ubuntu.com/~kernel-ppa/mainline/ solved the problem for me.

GPU: ATi Radeon 2600 PRO

Works for me after installing Andy's kernel packages from #17.

GPU: Nvidia GeForce 210 (Nvidia driver 310.44)

GonzO (gonzo) wrote :

This just in: today, in the raring-secuirty repositories, there is a new kernel: 3.8.0-19.30.

It boots fine, and my sound still works.

bwat47 (bwat47) wrote :

I don't see anything about this bug in the changelog for that kernel, only a few security fixes...

Vassili Platonov (vassilip) wrote :

No, kernel 3.8.0-19.30 doesn't work for me:

~$ uname -a
Linux vasa-13-04 3.8.0-19-generic #30-Ubuntu SMP Wed May 1 16:35:23 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

~$ lspci -v | grep Audio -A5
00:1b.0 Audio device: Intel Corporation 5 Series/3400 Series Chipset High Definition Audio (rev 05)
 Subsystem: Hewlett-Packard Company Device 1421
 Flags: bus master, fast devsel, latency 0, IRQ 48
 Memory at d4600000 (64-bit, non-prefetchable) [size=16K]
 Capabilities: <access denied>
 Kernel driver in use: snd_hda_intel
--
01:00.1 Audio device: Advanced Micro Devices [AMD] nee ATI Cedar HDMI Audio [Radeon HD 5400/6300 Series]
 Subsystem: Hewlett-Packard Company Device 1421
 Flags: bus master, fast devsel, latency 0, IRQ 49
 Memory at d4520000 (64-bit, non-prefetchable) [size=16K]
 Capabilities: <access denied>
 Kernel driver in use: snd_hda_intel

~$ aplay -l
**** Список PLAYBACK устройств ****
карта 0: MID [HDA Intel MID], устройство 0: STAC92xx Analog [STAC92xx Analog]
  Подустройства: 1/1
  Подустройство №0: subdevice #0
карта 1: Generic [HD-Audio Generic], устройство 3: HDMI 0 [HDMI 0]
  Подустройства: 1/1
  Подустройство №0: subdevice #0

I've returned to #17 kernel, it works fine.

giacof (giacof) wrote :

I installed the 64bit kernel on the #17 link, but I still get this from dmesg:

[ 35.066792] Request for unknown module key 'Magrathea: Glacier signing key: d490763cc418e29de79f40a5aa7d97747ec8882c' err -11
[ 35.156528] BUG: Bad page map in process S55urandom pte:00001ee0 pmd:114e5f067
[ 35.156563] addr:00007fffb1bfe000 vm_flags:00040075 anon_vma: (null) mapping: (null) index:7fffb1bfe
[ 35.156599] vma->vm_ops->fault: special_mapping_fault+0x0/0x80
[ 35.156624] Pid: 1160, comm: S55urandom Tainted: GF 3.8.0-19-generic #29lp1169984v201304261303
[ 35.156627] Call Trace:
[ 35.156636] [<ffffffff8115477d>] print_bad_pte+0x1dd/0x250
[ 35.156642] [<ffffffff81156df9>] unmap_page_range+0x529/0x750
[ 35.156648] [<ffffffff8107db21>] ? __wake_up_bit+0x31/0x40
[ 35.156653] [<ffffffff811570aa>] unmap_single_vma+0x8a/0x100
[ 35.156658] [<ffffffff81157909>] unmap_vmas+0x49/0x90
[ 35.156664] [<ffffffff8115fcf8>] exit_mmap+0x98/0x170
[ 35.156672] [<ffffffff810559e4>] mmput+0x64/0x100
[ 35.156677] [<ffffffff8105e302>] do_exit+0x242/0x9d0
[ 35.156682] [<ffffffff8105eb0f>] do_group_exit+0x3f/0xa0
[ 35.156686] [<ffffffff8105eb87>] sys_exit_group+0x17/0x20
[ 35.156694] [<ffffffff816d379d>] system_call_fastpath+0x1a/0x1f
[ 35.156698] swap_free: Bad swap file entry 400000000000002
[ 35.156719] BUG: Bad page map in process S55urandom pte:00000404 pmd:114e5f067
[ 35.156743] addr:00007fffb1bff000 vm_flags:00040075 anon_vma: (null) mapping: (null) index:7fffb1bff
[ 35.156775] vma->vm_ops->fault: special_mapping_fault+0x0/0x80
[ 35.156796] Pid: 1160, comm: S55urandom Tainted: GF B 3.8.0-19-generic #29lp1169984v201304261303
[ 35.156798] Call Trace:
[ 35.156803] [<ffffffff8115477d>] print_bad_pte+0x1dd/0x250
[ 35.156808] [<ffffffff81156df9>] unmap_page_range+0x529/0x750
[ 35.156812] [<ffffffff8107db21>] ? __wake_up_bit+0x31/0x40
[ 35.156817] [<ffffffff811570aa>] unmap_single_vma+0x8a/0x100
[ 35.156822] [<ffffffff81157909>] unmap_vmas+0x49/0x90
[ 35.156827] [<ffffffff8115fcf8>] exit_mmap+0x98/0x170
[ 35.156832] [<ffffffff810559e4>] mmput+0x64/0x100
[ 35.156837] [<ffffffff8105e302>] do_exit+0x242/0x9d0
[ 35.156842] [<ffffffff8105eb0f>] do_group_exit+0x3f/0xa0
[ 35.156846] [<ffffffff8105eb87>] sys_exit_group+0x17/0x20
[ 35.156852] [<ffffffff816d379d>] system_call_fastpath+0x1a/0x1f
[ 35.157410] BUG: Bad rss-counter state mm:ffff8801151ddf80 idx:0 val:1
[ 35.157460] BUG: Bad rss-counter state mm:ffff8801151ddf80 idx:2 val:-1
[ 35.166246] Request for unknown module key 'Magrathea: Glacier signing key: d490763cc418e29de79f40a5aa7d97747ec8882c' err -11
[ 35.367966] Request for unknown module key 'Magrathea: Glacier signing key: d490763cc418e29de79f40a5aa7d97747ec8882c' err -11
[ 35.566423] Request for unknown module key 'Magrathea: Glacier signing key: d490763cc418e29de79f40a5aa7d97747ec8882c' err -11
[ 35.586761] Request for unknown module key 'Magrathea: Glacier signing key: d490763cc418e29de79f40a5aa7d97747ec8882c' err -11

GonzO (gonzo) wrote :

I SPOKE TOO SOON.

3.8.0-19.30 stopped working after a reboot.

On one of my other computers, it boots to lightdm (after a wait), but in the wrong resolution. The HDMI driver is still broken here, and it takes the nVidia driver with it.

Still using 3.9 mainline, which really works great. I wish Raring would just move to that and give up the 3.8 kernel with its odd patches altogether.

Kernel 3. 8.0-19.30 didn't work for me either. No hdmi sound.

I'm using kernel 3.9 and it works great.

Giannis (karzisss) wrote :

Kernel 3.8.0-19.30 didn't fix the issue on Xubuntu 13.04
Kernel 3.9 works great!

Cody Smith (cody.smith) wrote :

the reason they don't go to 3.9 (this is my assumption) is that FGLRX doesn't support it yet, and possibly not Nvidia's drivers, and very possibly other proprietary drivers. They want Ubuntu to be usable by as wide an audience as possible, and going to 3.9 when many drivers don't support it is a big step backwards in that area. remember: Ubuntu isn't just about you, but EVERYBODY who uses it and works on it.

Nvidia drivers work great with kernel 3.9. Not sure about fglrx.

description: updated
madbiologist (me-again) on 2013-05-08
tags: added: verification-needed
madbiologist (me-again) on 2013-05-08
tags: added: verification-done
removed: verification-needed
Brad Figg (brad-figg) on 2013-05-08
tags: added: verification-needed-raring
madbiologist (me-again) on 2013-05-08
tags: added: verification-done-raring
removed: verification-needed-raring
48 comments hidden view all 128 comments
Neil MacLeod (nmacleod) wrote :

Is there an ETA for kernel -22?

I just picked up -21-generic, now have this oops in dmesg but also garbled graphics (Radeon HD 7750, fglrx-updates proprietary driver) after the Ubuntu boot logo, leaving the desktop completely inaccessible (thankfully ctrl-alt-F2 will fix the graphics, but it's not the kind of thing most users are going to know about, I'm not even sure why it fixes the graphics problem).

Anyway, not a successful update, in fact almost terminal (pardon the pun).

Patrick J. LoPresti (lopresti) wrote :

Ubuntu keeps releasing new kernels, and every one re-breaks my HDMI sound.

Thank goodness for Fabrizio and his comment #8. Although applying it over and over again is becoming tedious.

Security is an important thing, but it is not the only important thing.

Do any Linux distros actually care about working audio? (Just asking for, um, a friend.)

madbiologist (me-again) wrote :

@Patrick - The workaround in the second paragraph of comment #6 should persist after updating the kernel. However kernel 3.8.0-22.33 which is currently in raring-proposed has merged back all changes which were in 3.8.0-20.31 and should have working HDMI sound. Comment #88 confirms that this is the case. See https://wiki.ubuntu.com/Testing/EnableProposed for instructions on how to enable and use proposed - just replace all instances of "precise" with "raring".

You can track the progress of the 3.8.0-22.33 kernel at https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1180483

I too have been wondering how this was missed during pre-release testing of Raring. Hopefully the testing of HDMI audio (according to the bug description analog built-in audio is only broken on some machines) will now become part of Ubuntu's standard testing procedures.

On 05/19/2013 10:47 AM, madbiologist wrote:
> I too have been wondering how this was missed during pre-release testing
> of Raring. Hopefully the testing of HDMI audio (according to the bug
> description analog built-in audio is only broken on some machines) will
> now become part of Ubuntu's standard testing procedures.

To answer for my own part in this:

The regression went into the almost very latest kernel before the
release, so when the bug was discovered (I sent a patch for it the 18th
of April) it was very late - since new kernels require new images, new
installation tests on various hardware and so on, pressing the big red
panic button to redo all of that, is not to be taken lightly.

It's also hard to predict the scale of a bug - it doesn't happen for all
HDMI Audio cards, (I've never seen it on my own) so I didn't know how
many would actually be hit by this. In this case, when I saw all the
duplicates coming in, I first made sure this bug went into the release
notes (with help from Andy Whitcroft), and later, I wrote a letter to
the kernel team to highlight that many people were being hit, and asking
if there was anything I could do to help speed the process up [1]. The
only answer was [2].

On top of that we have just had a security bug which I believe is
relatively severe (the perf privilege escalation), causing the regular
updates to be delayed as a result.

Looking back, is it a matter of bad luck that this bug still is not
released into the -updates repository, or could the process of updating
kernels be improved? If you have constructive feedback on how the kernel
team's process of updating kernels could be improved, please contact the
kernel team - they have a mailing list as well as weekly IRC meetings.

[1] https://lists.ubuntu.com/archives/kernel-team/2013-April/027938.html
[2] https://lists.ubuntu.com/archives/kernel-team/2013-April/027943.html

--
David Henningsson, Canonical Ltd.
https://launchpad.net/~diwic

I've upgraded to the 22 kernel in proposed and it seems to be working fine so far. I update if the problem occurs again.

@David Henningsson: There's been a ton of HDMI related regressions in Ubuntu 13.04 from 12.10. Do you know if this bug is related to HDMI volume not being saved and the inability to autoswitch from headphones to HDMI and vice versa?

madbiologist (me-again) wrote :

Thanks David for your detailed reply. You certainly have been very proactive on this issue. I think the process of updating kernels is working fairly well, at least as it relates to this particular situation. I think that any possible improvements lie in the pre-release development and testing of kernels, with the key being your phrase "The regression went into the almost very latest kernel before the release" - I am wondering how it "went into" the kernel and was not noticed during QA and testing, before the images were made etc. I'll follow that up with the kernel team.

Hi. I went to raring about three weeks before release trying to help
debug. So I ran into the HDMI problem pretty much right away, and I
reported the bug ... so far so good, this is why I tried a prelease. But
the point of that is to help make the release better, and that didn't
work out, except for a line in the release note.
This was a bad bug because it affected just about everyone using Ubuntu
as a media PC (where you will find HDMI displays). How did the kernel
team not realise the severity?
I guess one problem was the report was spread over countless bugs; the
duplicate detection in bug reporting didn't work, and therefore perhaps
it wasn't obvious how many people were affected.

My USB DAC is still broken with all Raring kernels so far. This was also
a bug introduced during development, I think from selective patch
applications. That's another bug report we are still working on... but
by and large, Raring was not a great release for me. I think the Ubuntu
kernel approach is fragile ... regressions and breaks get introduced
faster than they can be triaged and fixed. Raring's kernel was not
release quality in my opinion ... the release note line about broken
HDMI audio basically proves it: Ubuntu released a kernel with a known
bug, the severity of which was either not well understood, or the
affected users were considered outside the target user-base (which I
can't believe). Either way, not very impressive. Luckily we can use
generic kernels.

David Henningsson (diwic) wrote :

On 05/19/2013 08:39 PM, Benjamin Xiao wrote:
> @David Henningsson: There's been a ton of HDMI related regressions in
> Ubuntu 13.04 from 12.10. Do you know if this bug is related to HDMI
> volume not being saved and the inability to autoswitch from headphones
> to HDMI and vice versa?

I'm not sure what you mean with "a ton of HDMI related regressions", are
you referring to all people hit by this bug, or that there are other
HDMI bugs as well?

Anyway, this bug kind of overshadows all other HDMI bugs. So if there
are other HDMI bugs as well, I feel we still need to get this one fixed
first and out there, and then see what new HDMI bugs come in after that.
And if we then find something that hits many, I'll try to look into it
and see if I can fix it. From the testing done *before* this bug went
into the kernel, I don't think there was anything that looked like
hitting many, but I admit not having looked thoroughly enough to be sure.

--
David Henningsson, Canonical Ltd.
https://launchpad.net/~diwic

If we're doing takeaway analysis here:

The first problem is that about a week before release, the -18 kernel was released. Rather than being a simple ABI bump like the last few kernels were, it contained a *large* number of cherry-picked patches that contained a wide array of changes.

No kernel with that amount of code churn should ever be introduced to a distro base a week before release. And in my experience, that's a first for Ubuntu.

The second problem is that THIS bug was decided as the one all of the others became duplicates of. It downplays the severity of the defect; this isn't just about losing HDMI in all relevant control panels, it's about *being completely unable to get to a working GUI* (at least for people using binary blob drivers). And while I reported the defect as being THAT severe, that severity was lost when it got linked to a lesser-severity defect.

If you take a high-severity defect and make it a duplicate of a lower severity one, the "source" defect should have its severity raised.

The third problem is that this was reported a week before release, but the flawed kernel line was released anyway. When hardware isn't working (at best) or the machine isn't able to boot to a GUI (at worst), a release note IMO isn't an adequate response. Rolling back to the last kernel that worked would have been simpler, and easier.

summary: - 3.8.0-18 HDMI audio regression: Either oops or opening device fails with
- -ENODEV
+ 3.8.0-18 HDMI/DisplayPort audio regression: Either oops or opening
+ device fails with -ENODEV

I'd like to second Tim's comment about Raring being a dreadful experience for media-related people. My USB DAC is also flaky now, and rhythmbox crashes every time I un-pause audio. And of course I'm here because I was hit by the complete-freeze-on-boot issue due to the HDMI bug.

NOTHING about Raring was improved for me over the previous version of Ubuntu, and a bunch of everyday things were completely broken. I feel pretty let-down by the QA process.

Marcos Alano (mhalano) wrote :

What version of the kernel 3.8 comes with patch to fix this problem?

madbiologist (me-again) wrote :

@Marcos - see comment #91 in this bug.

reddy (reddy) wrote :

Any ETA when 3.8.0-22.33 is released into the -updates repository, so it's used during fresh system installation?

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

madbiologist (me-again) on 2013-05-24
Changed in linux (Ubuntu Raring):
status: Fix Committed → Fix Released
Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Antti Laiti (pulk) wrote :

Tested with 3.8.0-22.33 that was offered as an update this morning. HDMI audio works and no crashes visible in dmesg. Great!

02:00.1 Audio device: Advanced Micro Devices [AMD] nee ATI Cedar HDMI Audio [Radeon HD 5400/6300 Series]

Thomas Hayward (raynor-ni) wrote :

Even though this fix is released for me I still have no sound, dummy audio in mixer, alsamixer doesn't load (no such file found even though it's installed) and aplay -l gives me: aplay: device_list:252: no soundcards found...

Tearing my hair out over this.. is my only other option a full reinstall?

gat (gat) wrote :

@raynor-ni I also am not having sound presented as an option iwth
$uname -a
Linux gatlibs-Inspiron-1525 3.8.0-22-generic #33-Ubuntu SMP Thu May 16 15:17:14 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

I need this functionality to run
xrandr --output LVDS1 --off --output HDMI1 --set audio force-dvi
which forces my television to stop overscreening on certain (most) resolutions.

Mike Loebl (mloebl) wrote :

Just updated two 13.04 boxes with the latest kernel (one with NVIDIA drivers 319.23, other with the stock 310) and both are working. Thank you!

GonzO (gonzo) wrote :

@Thomas Hayward: Have you tried using a mainline kernel? http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.9-raring/

Thomas Hayward (raynor-ni) wrote :

@Gonz0: yeah I have I'm afraid :( no luck with that either. same ol' dummy output.

bwat47 (bwat47) wrote :

I'd wager that if this update does not fix it for you then you may be experiencing a different bug...

Thomas Hayward (raynor-ni) wrote :

I gave in and re-installed today... audio back and working straight away.

I haven't been brave enough to try Nvidia HDMI audio yet but I'm hoping it will all be grand when I do.

I would still love to know why after installed the fix audio refused to come back but oh well... at least I have audio :)

odror (ozdror) wrote :

It is working for me also after installing the new kernel.

But there is still a bug. I can get HDMI audio though a pass through application (xbmc or mythtv). I cannt get hdmi audio in desktop applications. I am not able to change the default sound device to the nvidia hdmi. When try to change it nothing happens.

Ihor Romanyshyn (iromanyshyn) wrote :

In my situation, sometimes Ubuntu loads Intel HDA modules for full-AMD laptop HP g6-1322sr. If I can't hear starting sound, I need to do "alt+SysRq and r-e-i-s-u-b" to make system reboot (because it can't reboot in normal way of "sudo shutdown -r now"). After reboot sound will appear and works perfect until next random-number reboot with no sound again. And again, "alt+SysRq r-e-i-s-u-b"...

I'm using Ubuntu 13.04 64-bit with Ati Radeon HD 4670.
Non of the above solutions work for me.
Since April 2013.
Please help.

madbiologist (me-again) wrote :

Alessandro - HDMI audio on ATI Radeon hardware was disabled by the upstream kernel developers as it causes blank screens on a lot of systems.

You can re-enable HDMI audio by adding "radeon.audio=1" to your GRUB boot options - see https://help.ubuntu.com/community/Grub2/Troubleshooting#Editing_the_GRUB_2_Menu_During_Boot. This issue is being tracked in bug #897008.

Ohad Basan (obasan) wrote :

Using an intel NUC.
I experience the same problem
hdmi audio is not working

I added "radeon.audio=1" like this in /etc/default/grub:

# If you change this file, run 'update-grub' afterwards to update
# /boot/grub/grub.cfg.
# For full documentation of the options in this file, see:
# info -f grub -n 'Simple configuration'

GRUB_DEFAULT=0
#GRUB_HIDDEN_TIMEOUT=0
GRUB_HIDDEN_TIMEOUT_QUIET=true
GRUB_TIMEOUT=10
GRUB_DISTRIBUTOR=`lsb_release -i -s 2> /dev/null || echo Debian`
GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"
GRUB_CMDLINE_LINUX="radeon.audio=1"

[and then the rest of it...]

I rebooted the system, still no HDMI audio

madbiologist (me-again) wrote :

@Alessandro - In that case, you should file a new bug report. Feel free to mention the new bug number here.

This is my new bug report number, as suggested:
https://answers.launchpad.net/ubuntu/+question/228644

TEN (launchpad-20-ten) wrote :

Also affects Ubuntu 12.04 LTS Precise Pangolin which freezes most of the time when trying to use HDMI audio (in particular from vdr-sxfe, mplayer, vlc, google-talkplugin) up to and including the current Kernel 3.2.0-49 without including snd_hda_codec_hdmi in /etc/modprobe.d/blacklist-oss.conf (thereby losing sound over the Nvidia outputs).

According to https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1173769 #3 "a kernel issue which most likely is to happen with Nvidia graphics", this is also not fixed by using https://code.launchpad.net/~ubuntu-audio-dev/+archive/alsa-daily/+files/oem-audio-hda-daily-dkms_0.201307180553%7Eprecise1_all.deb according to https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1169984 #16.

On 07/21/2013 12:45 PM, TEN wrote:
> Also affects Ubuntu 12.04 LTS Precise Pangolin

This particular bug does *not* affect 12.04. Any HDMI audio problems
that happen in 12.04 is some other bug.

--
David Henningsson, Canonical Ltd.
https://launchpad.net/~diwic

TEN (launchpad-20-ten) wrote :

David Henningsson (diwic) wrote:
> This particular bug does *not* affect 12.04. Any HDMI audio problems that happen in 12.04 is some other bug.
Any particular one, or should I open it?
Similar symptoms and need to blacklist snd_hda_codec_hdmi especially on Nvidia, but different kernel, freezing to a point where Ctrl-Alt-SysRq won't help.

David Henningsson (diwic) wrote :

On 07/21/2013 03:11 PM, TEN wrote:
> David Henningsson (diwic) wrote:
>> This particular bug does *not* affect 12.04. Any HDMI audio problems that happen in 12.04 is some other bug.
> Any particular one, or should I open it?

You're probably best off opening a new bug.

--
David Henningsson, Canonical Ltd.
https://launchpad.net/~diwic

Patrick Kennedy (patman3k) wrote :

I am also having difficulties. I'm on 13.04. I've installed the patches. I've always had HDMI as an option. I noticed that when I installed pulse volume, I can see the meter move when I play test sounds through alsa. I just can't hear it. I have ensured that my mixer is unmuted, along w/ my TV. I've had this issue w/ every single upgrade! Any suggestions?

aplay
card 0: NVidia [HDA NVidia], device 0: AD1988B Analog [AD1988B Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: NVidia [HDA NVidia], device 1: AD1988B Digital [AD1988B Digital]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: NVidia [HDA NVidia], device 2: AD1988B Alt Analog [AD1988B Alt Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: NVidia [HDA NVidia], device 3: HDMI 0 [HDMI 0]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

fermulator (fermulator) wrote :

(oops, posted in the Dup'd bug #1170697) - reposting here

Interesting. I am also experiencing this same bug on Ubuntu 12.04 (3.2 kernel...) -- did we accidentally back-merge the bug?

{{{
multimedia@fermmy-media:~$ uname -a
Linux fermmy-media 3.2.0-51-generic-pae #77-Ubuntu SMP Wed Jul 24 20:40:32 UTC 2013 i686 i686 i386 GNU/Linux
multimedia@fermmy-media:~$ cat /etc/issue
Ubuntu 12.04.2 LTS \n \l
}}}

dmesg + backtrace: http://pastebin.com/uMAmEnxD

fermulator (fermulator) wrote :

Also, it's worthy to note, that after disabling the HDMI kernel module as recommended as workaround, Pulse no longer crashes, and I can successfully use my Creative SB card again -- /not/ using HDMI audio on the Graphics Card.

David Aizenberg (pixelshuck) wrote :

T his fixed it, thanks!

Matt C (proteus400) wrote :
Download full text (6.2 KiB)

Running kernel 3.8.0-30-generic #44-Ubuntu SMP Thu Aug 22 20:52:24 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux:
Does this look like the same issue?

Trace:
Sep 12 22:40:24 matt-C4100-C5100 kernel: [ 12.480563] Oops: 0003 [#1] SMP
Sep 12 22:40:24 matt-C4100-C5100 kernel: [ 12.480592] Modules linked in: snd_hda_codec_hdmi snd_hda_codec_realtek joydev(F) snd_hda_intel(+) snd_hda_codec snd_hwdep(F) snd_pcm(F) arc4(F) snd_page_alloc(F) snd_$
Sep 12 22:40:24 matt-C4100-C5100 kernel: [ 12.481073] CPU 1
Sep 12 22:40:24 matt-C4100-C5100 kernel: [ 12.481089] Pid: 633, comm: modprobe Tainted: GF 3.8.0-19-generic #30-Ubuntu CLEVO CO. C4100/C5100 /C4100/C5100 $
Sep 12 22:40:24 matt-C4100-C5100 kernel: [ 12.481170] RIP: 0010:[<ffffffffa0439820>] [<ffffffffa0439820>] patch_generic_hdmi+0xe0/0x550 [snd_hda_codec_hdmi]
Sep 12 22:40:24 matt-C4100-C5100 kernel: [ 12.481223] RSP: 0018:ffff8802311e7ac0 EFLAGS: 00010283
...
Sep 12 22:40:24 matt-C4100-C5100 kernel: [ 12.481598] Process modprobe (pid: 633, threadinfo ffff8802311e6000, task ffff880232bd8000)
Sep 12 22:40:24 matt-C4100-C5100 kernel: [ 12.481636] Stack:
Sep 12 22:40:24 matt-C4100-C5100 kernel: [ 12.481650] 00000000ffffffff ffffffffa0430002 ffffffffa043b830 0000000000000001
Sep 12 22:40:24 matt-C4100-C5100 kernel: [ 12.481705] ffff880231a90800 00000000ffffffff ffffffffa043d000 ffff8802311e7b58
Sep 12 22:40:24 matt-C4100-C5100 kernel: [ 12.481760] ffffffffa0401186 2d6164682d646e73 64692d6365646f63 303832363830383a
Sep 12 22:40:24 matt-C4100-C5100 kernel: [ 12.481816] Call Trace:
Sep 12 22:40:24 matt-C4100-C5100 kernel: [ 12.481836] [<ffffffffa0430002>] ? azx_driver_init+0x2/0x1000 [snd_hda_intel]
Sep 12 22:40:24 matt-C4100-C5100 kernel: [ 12.481889] [<ffffffffa0401186>] snd_hda_codec_configure+0x146/0x440 [snd_hda_codec]
Sep 12 22:40:24 matt-C4100-C5100 kernel: [ 12.481931] [<ffffffffa03f22f0>] azx_probe_continue+0x3a0/0x4f0 [snd_hda_intel]
Sep 12 22:40:24 matt-C4100-C5100 kernel: [ 12.481973] [<ffffffffa03f08b0>] ? azx_attach_pcm_stream+0x1e0/0x1e0 [snd_hda_intel]
Sep 12 22:40:24 matt-C4100-C5100 kernel: [ 12.482013] [<ffffffffa03f1cb0>] ? azx_halt+0x30/0x30 [snd_hda_intel]
Sep 12 22:40:24 matt-C4100-C5100 kernel: [ 12.482051] [<ffffffffa03f06d0>] ? azx_pcm_trigger+0x580/0x580 [snd_hda_intel]
Sep 12 22:40:24 matt-C4100-C5100 kernel: [ 12.482089] [<ffffffffa03f1810>] ? azx_runtime_suspend+0x30/0x30 [snd_hda_intel]
Sep 12 22:40:24 matt-C4100-C5100 kernel: [ 12.482128] [<ffffffffa03ee670>] ? azx_pcm_free+0x50/0x50 [snd_hda_intel]
Sep 12 22:40:24 matt-C4100-C5100 kernel: [ 12.482168] [<ffffffffa03f279a>] azx_probe+0x35a/0x940 [snd_hda_intel]
Sep 12 22:40:24 matt-C4100-C5100 kernel: [ 12.482204] [<ffffffff8137b4cb>] local_pci_probe+0x4b/0x80
Sep 12 22:40:24 matt-C4100-C5100 kernel: [ 12.482234] [<ffffffff8137b7f1>] pci_device_probe+0x111/0x120
Sep 12 22:40:24 matt-C4100-C5100 kernel: [ 12.482269] [<ffffffff81455717>] driver_probe_device+0x77/0x230
Sep 12 22:40:24 matt-C4100-C5100 kernel: [ 12.482303] [<ffffffff8145597b>] __driver_attach+0xab/0xb0
Sep 12 22:40:24 matt-C4100-C5100 kernel: [ ...

Read more...

David Henningsson (diwic) wrote :

On 09/18/2013 11:07 PM, Matt C wrote:
> Running kernel 3.8.0-30-generic #44-Ubuntu SMP Thu Aug 22 20:52:24 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux:
> Does this look like the same issue?
>
> Trace:
> Sep 12 22:40:24 matt-C4100-C5100 kernel: [ 12.480563] Oops: 0003 [#1] SMP
> Sep 12 22:40:24 matt-C4100-C5100 kernel: [ 12.480592] Modules linked in: snd_hda_codec_hdmi snd_hda_codec_realtek joydev(F) snd_hda_intel(+) snd_hda_codec snd_hwdep(F) snd_pcm(F) arc4(F) snd_page_alloc(F) snd_$
> Sep 12 22:40:24 matt-C4100-C5100 kernel: [ 12.481073] CPU 1
> Sep 12 22:40:24 matt-C4100-C5100 kernel: [ 12.481089] Pid: 633, comm: modprobe Tainted: GF 3.8.0-19-generic #30-Ubuntu CLEVO CO.

Yes, it looks like the same issue, and judging from the line above, it
looks like you're actually running the 3.8.0-19-generic kernel, not the
3.8.0-30-generic kernel.

--
David Henningsson, Canonical Ltd.
https://launchpad.net/~diwic

Changed in linux (Ubuntu):
assignee: Tim Gardner (timg-tpi) → Brandon Russell (brandon-g-russell)
Displaying first 40 and last 40 comments. View all 128 comments or add a comment.